# $Revision: 1.80 $, $Date: 2011/08/17 21:10:45 $
#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties

Summary:	Small and fast window manger for the X Window
Summary(pl.UTF-8):	Mały i szybki zarządca okien dla X Window
Name:		openbox
Version:	3.4.11.2
Release:	3
Epoch:		1
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://openbox.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	30e669134fa81df810fe7d1dc59cd931
URL:		http://openbox.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pango-devel >= 1.18.3
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	startup-notification-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	%{name}-theme-base = %{epoch}:%{version}-%{release}
Requires:	dbus-x11
Suggests:	obconf
Provides:	gnome-wm
Obsoletes:	openbox-themes-Allegro
Obsoletes:	openbox-themes-Artwiz
Obsoletes:	openbox-themes-Blah41
Obsoletes:	openbox-themes-Om4Ob
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/gnome/wm-properties

%description
Openbox is a completely new window manager, and is not based upon any
previous window manager code-base. Its primary goals are standards
support/compliance, and intelligent window management.

%description -l pl.UTF-8
Openbox jest całkowicie nowym zarządcą okien i nie bazuje już na
kodzie wcześniejszych wersji. Jego głównymi celami są wsparcie i
zgodność ze standardami oraz inteligentne zarządzanie oknami.

%package libs
Summary:	Openbox libraries
Summary(pl.UTF-8):	Biblioteki Openboksa
Group:		Libraries

%description libs
Openbox libraries.

%description libs -l pl.UTF-8
Biblioteki Openboksa.

%package devel
Summary:	Header files for Openbox
Summary(pl.UTF-8):	Pliki nagłówkowe Openboksa
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.14.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	pango-devel >= 1.18.3
Requires:	xorg-lib-libSM-devel

%description devel
Development header files for writing applications based on Openbox.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia oprogramowania opartego o Openboksa.

%package static
Summary:	Static Openbox libraries
Summary(pl.UTF-8):	Statyczne biblioteki Openboksa
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Openbox libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Openboksa.

%package themes-Artwiz-boxed
Summary:	Artwiz-boxed theme for Openbox
Summary(pl.UTF-8):	Motyw Artwiz-boxed dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Artwiz-boxed
Artwiz-boxed theme for Openbox.

%description themes-Artwiz-boxed -l pl.UTF-8
Motyw Artwiz-boxed dla Openboksa.

%package themes-bear
Summary:	Bear theme for Openbox
Summary(pl.UTF-8):	Motyw Bear dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}
Obsoletes:	openbox-themes-TheBear

%description themes-bear
Bear theme for Openbox.

%description themes-bear -l pl.UTF-8
Motyw Bear dla Openboksa.

%package themes-Clearlooks-Olive
Summary:	Clearlooks-Olive theme for Openbox
Summary(pl.UTF-8):	Motyw Clearlooks-Olive dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Clearlooks-Olive
Clearlooks-Olive theme for Openbox.

%description themes-Clearlooks-Olive -l pl.UTF-8
Motyw Clearlooks-Olive dla Openboksa.

%package themes-Clearlooks
Summary:	Clearlooks theme for Openbox
Summary(pl.UTF-8):	Motyw Clearlooks dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Clearlooks
Clearlooks theme for Openbox.

%description themes-Clearlooks -l pl.UTF-8
Motyw Clearlooks dla Openboksa.

%package themes-Mikachu
Summary:	Mikachu theme for Openbox
Summary(pl.UTF-8):	Motyw Mikachu dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Mikachu
Mikachu theme for Openbox.

%description themes-Mikachu -l pl.UTF-8
Motyw Mikachu dla Openboksa.

%package themes-Natura
Summary:	Natura theme for Openbox
Summary(pl.UTF-8):	Motyw Natura dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Natura
Natura theme for Openbox.

%description themes-Natura -l pl.UTF-8
Motyw Natura dla Openboksa.

%package themes-Onyx-Citrus
Summary:	Onyx-Citrus theme for Openbox
Summary(pl.UTF-8):	Motyw Onyx-Citrus dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Onyx-Citrus
Onyx-Citrus theme for Openbox.

%description themes-Onyx-Citrus -l pl.UTF-8
Motyw Onyx-Citrus dla Openboksa.

%package themes-Onyx
Summary:	Onyx theme for Openbox
Summary(pl.UTF-8):	Motyw Onyx dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Onyx
Onyx theme for Openbox.

%description themes-Onyx -l pl.UTF-8
Motyw Onyx dla Openboksa.

%package themes-Orang
Summary:	Orang theme for Openbox
Summary(pl.UTF-8):	Motyw Orang dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Orang
Orang theme for Openbox.

%description themes-Orang -l pl.UTF-8
Motyw Orang dla Openboksa.

%package themes-Syscrash
Summary:	Syscrash theme for Openbox
Summary(pl.UTF-8):	Motyw Syscrash dla Openboksa
Group:		Themes
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	openbox-theme-base = %{epoch}:%{version}-%{release}

%description themes-Syscrash
Syscrash theme for Openbox.

%description themes-Syscrash -l pl.UTF-8
Motyw Syscrash dla Openboksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gnomewmfilesdir=%{_wmpropsdir}

%{!?with_gnome2:%{__rm} $RPM_BUILD_ROOT%{_wmpropsdir}/openbox.desktop}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/openbox

mv $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG COMPLIANCE README
%doc data/{menu.xsd,rc.xsd,xbm/*} doc/rc-mouse-focus.xml
%attr(755,root,root) %{_bindir}/gnome-panel-control
%attr(755,root,root) %{_bindir}/openbox
%attr(755,root,root) %{_bindir}/openbox-gnome-session
%attr(755,root,root) %{_bindir}/openbox-kde-session
%attr(755,root,root) %{_bindir}/openbox-session
%attr(755,root,root) %{_bindir}/gdm-control
%attr(755,root,root) %{_bindir}/obxprop
%{_datadir}/xsessions/openbox-gnome.desktop
%{_datadir}/xsessions/openbox-kde.desktop
%{_datadir}/xsessions/openbox.desktop
%{_mandir}/man1/obxprop.1*
%{_mandir}/man1/openbox-gnome-session.1*
%{_mandir}/man1/openbox-kde-session.1*
%{_mandir}/man1/openbox-session.1*
%{_mandir}/man1/openbox.1*
%dir %{_sysconfdir}/xdg/openbox
%{_sysconfdir}/xdg/openbox/autostart.sh
%{_sysconfdir}/xdg/openbox/menu.xml
%{_sysconfdir}/xdg/openbox/rc.xml
%{?with_gnome2:%{_wmpropsdir}/openbox.desktop}
%{_desktopdir}/openbox.desktop
%{_pixmapsdir}/openbox.png
%dir %{_libdir}/openbox
%{_libdir}/openbox/xdg-autostart

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libobparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libobparser.so.21
%attr(755,root,root) %{_libdir}/libobrender.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libobrender.so.21

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libobparser.so
%attr(755,root,root) %{_libdir}/libobrender.so
%{_libdir}/libobparser.la
%{_libdir}/libobrender.la
%dir %{_includedir}/openbox
%dir %{_includedir}/openbox/3.4.11.2
%dir %{_includedir}/openbox/3.4.11.2/openbox
%{_includedir}/openbox/3.4.11.2/openbox/*.h
%{_pkgconfigdir}/obparser-3.0.pc
%{_pkgconfigdir}/obrender-3.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libobparser.a
%{_libdir}/libobrender.a

%files themes-Artwiz-boxed
%defattr(644,root,root,755)
%{_datadir}/themes/Artwiz-boxed

%files themes-bear
%defattr(644,root,root,755)
%{_datadir}/themes/Bear2

%files themes-Clearlooks-Olive
%defattr(644,root,root,755)
%{_datadir}/themes/Clearlooks-Olive

%files themes-Clearlooks
%defattr(644,root,root,755)
%{_datadir}/themes/Clearlooks

%files themes-Mikachu
%defattr(644,root,root,755)
%{_datadir}/themes/Mikachu

%files themes-Natura
%defattr(644,root,root,755)
%{_datadir}/themes/Natura

%files themes-Onyx-Citrus
%defattr(644,root,root,755)
%{_datadir}/themes/Onyx-Citrus

%files themes-Onyx
%defattr(644,root,root,755)
%{_datadir}/themes/Onyx

%files themes-Orang
%defattr(644,root,root,755)
%{_datadir}/themes/Orang

%files themes-Syscrash
%defattr(644,root,root,755)
%{_datadir}/themes/Syscrash

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openbox.spec,v $
Revision 1.80  2011/08/17 21:10:45  glen
- R: dbus-x11, /etc/xdg/openbox/autostart.sh starts dbus-launch

Revision 1.79  2011/07/28 10:25:28  baggins
- renamed gnome bcond

Revision 1.78  2011/07/28 06:07:08  baggins
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)
- gnome-session should probably go away too (no support for gnome3?)

Revision 1.77  2010/08/24 19:37:59  lisu
- updated to 3.4.11.2
- add man page for obxprop

Revision 1.76  2010/02/16 23:28:12  sparky
- BR: rpm-pythonprov

Revision 1.75  2010/02/16 22:02:47  ankry
- proper no fix, rel. 2

Revision 1.74  2010/01/08 08:45:52  duddits
- up to 3.4.10
- bin: obprop -> obxprop

Revision 1.73  2009/12/29 22:40:45  dirdival
- remove comment

Revision 1.72  2009/12/29 20:15:33  dirdival
- up to 3.4.9

Revision 1.71  2008/12/04 13:28:51  hawk
- release 1

Revision 1.70  2008/09/18 15:55:22  patrys
- move wm-properties

Revision 1.69  2008/08/19 10:41:57  pablo
- added missing BR: libuuid-devel
- fixed some %ghost file names

Revision 1.68  2008/06/09 23:01:29  blues
- 3.4.7.2 - suggest obconf

Revision 1.67  2008-01-20 18:01:20  megabajt
- added -devel deps
- adapterized

Revision 1.66  2008-01-20 17:21:34  megabajt
- updated to 3.4.5
- removed Source1 (-xsession.desktop) - already in tarball
- more verbose files and ghosted soname symlinks
- obsoletes for removed Allegro, Artwiz, Blah41 and Om4Ob themes
- added subpackages with Artwiz-boxed, Clearlooks-Olive, Clearlooks, Mikachu,
  Natura, Onyx-Citrus, Onyx, Orang and Syscrash themes
- unified Openbox name

Revision 1.65  2007-02-13 07:16:50  glen
- tabs in preamble

Revision 1.64  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.63  2006/11/07 02:52:20  wrobell
- ver. 3.3.1

Revision 1.62  2006/08/16 10:02:27  qboosh
- unified (-libs before -devel), pl fix

Revision 1.61  2006/08/15 11:11:49  freetz
- fix 'somewhere in time' snapshot version

Revision 1.60  2006/08/14 15:24:44  freetz
- md5

Revision 1.59  2006/08/14 15:24:17  freetz
- fixed descriptions

Revision 1.58  2006/08/14 15:15:49  freetz
- 20060814 snap, updated and cleaned up BR, libs subpkg

Revision 1.57  2005/11/15 22:37:40  freetz
- 3.3 rc2

Revision 1.56  2005/04/12 22:05:25  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.55  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.54  2005/04/10 17:45:55  freetz
- new style macros, rel.2

Revision 1.53  2005/03/25 08:10:02  freetz
- 3.3-rc1, %%doc updated

Revision 1.52  2004/04/17 13:41:49  freetz
- good news: up to 3.2

Revision 1.51  2004/02/06 20:00:03  freetz
- provides gnome-wm (required by gnome-session), rel++

Revision 1.50  2003/12/22 21:59:17  freetz
- 3.1 (merry christmas :)
- obsoleted patch removed
  note: still no idea what to do with en@quot, en@boldquot locale stuff

Revision 1.49  2003/12/11 23:38:20  freetz
- added patch solving two major problems with stable release (gimp bug and
  session managment bug), release 2
  STBR for AC

Revision 1.48  2003/11/07 22:19:27  freetz
- finally: 3.0

Revision 1.47  2003/10/13 19:13:24  freetz
- rc4
- ready for localization (note: en@boldquot, en@quot - where to put this?
  qboosh magic needed! :)

Revision 1.46  2003/10/09 20:44:12  freetz
- yes, mea culpa. it will be not changed till 3.0 comes (sorry adgor)
  rel. down to 0.rc3.1

Revision 1.45  2003/10/09 20:21:15  freetz
- glorious liberation of 3.0-rc2 to fresh version 3.0-rc3

Revision 1.44  2003/10/03 11:58:54  freetz
- rc2

Revision 1.43  2003/09/30 19:49:40  adgor
- Added epoch to allow upgrade from 2.beta6.0
- release 0.%%{_rc}.1
- Be cureful with releasing style

Revision 1.42  2003/09/30 18:43:36  freetz
- version bumped to rc1

Revision 1.41  2003/09/26 10:48:59  freetz
- pixmapsdir moved to right place

Revision 1.40  2003/09/26 10:27:08  adgor
- Fixed req

Revision 1.39  2003/09/26 10:23:45  adgor
- applnk problem solved

Revision 1.38  2003/09/26 10:11:29  ankry
- cosmetics

Revision 1.37  2003/09/26 09:59:38  freetz
- beta6
- added TODO entry
- s/ChangeLog/CHANGELOG
- cosmetics

Revision 1.36  2003/09/25 20:17:30  adgor
- Added desktop file for gdm/kdm support
- Fixed %%post

Revision 1.35  2003/09/25 12:01:45  freetz
- beta5 (mostly bugfix release)

Revision 1.34  2003/09/25 10:34:41  freetz
- missing R applnk

Revision 1.33  2003/09/24 12:58:27  freetz
- oops /etc/xdg is already part of applnk (removed)

Revision 1.32  2003/09/23 18:05:42  freetz
- beta4
- themes packages added
- static library added
- files section updates (new dirs in this beta rel)
- TODO updated
- note: default configuration files are moved to /etc/xdg dir: see TODO
  for details
- rel.1 - it is really stable and work superb as metacity replacement
  (try "openbox --replace" when you running GNOME session to see that
  metacity sucks ;)

Revision 1.31  2003/09/16 18:48:54  freetz
- beta3
- icon added
- new TODO entry (it's NFY)

Revision 1.30  2003/09/12 13:04:31  freetz
- missing *.so for linking in devel

Revision 1.29  2003/09/11 07:56:16  qboosh
- -devel cosmetics and missing dirs

Revision 1.28  2003/09/10 23:14:41  freetz
- added devel package (needed by obconf - now seperate pkg)
- some cosmetics
- note: please don't merge incomplete changes ;) (or die ;P)

Revision 1.27  2003/09/10 21:57:13  blues
- 3.0beta2 - update by likon <likon_pc@o2.pl> with my fixes (md5, removed
  not needed obsolete to openbox < 3.0)

Revision 1.26  2003/09/03 10:28:53  freetz
- alpha8
- note: rc and menu renamed to rc.xml menu.xml
  (don't forget to copy to ~/.openbox)
- updated postinstall msg

Revision 1.25  2003/09/01 17:15:01  freetz
- alpha7 (god damnned, it's rocks)

Revision 1.24  2003/08/25 13:29:19  qboosh
- BR: autopoint 0.12.1 (pointed by <likon_pc at o2.pl>)

Revision 1.23  2003/08/23 20:23:24  freetz
- alpha6 (mostly bugfix release)
- more TODO

Revision 1.22  2003/08/14 19:19:48  freetz
- some good ideas for updating to newest version
- typo

Revision 1.21  2003/08/14 19:11:35  freetz
- alpha5
- kicked out more libtool dark forces
- fresh and juicy: standalone menu file
- this shit isn't well tested (i'm vnc'ed)

Revision 1.20  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.19  2003/08/02 22:22:48  freetz
- up to 3.0-alpha4
- wmpropsdir is back
- don't forget to update your rc3 config (new themes format!)

Revision 1.18  2003/07/31 21:31:10  freetz
- 3.0-alpha3
- obconf is back (this is still work in progress)

Revision 1.17  2003/07/23 13:56:22  freetz
- up to 3.0-alpha2
- openbox.desktop and obconf are gone for a moment (disabled entries)

Revision 1.16  2003/07/09 20:57:36  freetz
- fixed URL

Revision 1.15  2003/06/30 08:53:03  qboosh
- fixed post/postun, removed autogenerated symlinks from files

Revision 1.14  2003/06/29 14:04:21  freetz
- added bcond _with_obconf (see spec for details)
- *.la are not needed
- works good for me

Revision 1.13  2003/06/29 12:57:14  freetz
- new, sexy 3.0-alpha1 version
- rewrited spec file (ob3 is completly new)
- obconf doesn't work as should
  Note: NFY

Revision 1.12  2003/06/28 12:17:37  erjot
- add BR:

Revision 1.11  2003/06/13 10:59:18  qboosh
- more docs, fixed License

Revision 1.10  2003/06/10 11:56:28  qboosh
- typos, pl fixes

Revision 1.9  2003/06/10 11:39:11  freetz
- more detailed descriptions and typos

Revision 1.8  2003/06/09 13:47:06  qboosh
- s/Xft-devel/xft-devel/, added nls-codeset patch for gencat from glibc 2.3.x

Revision 1.7  2003/05/28 13:00:04  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/19 08:06:02  qboosh
- added gcc_3.3_fix patch from Fryderyk Dziarmagowski <freetz at gmx.net>

Revision 1.4  2003/05/07 20:39:12  qboosh
- typos

Revision 1.3  2003/05/07 07:49:54  qboosh
- added missing nls dirs; won't build anyway because gencat from glibc 2.3.2
  doesn't like utf-8

Revision 1.2  2003/05/06 21:49:47  qboosh
- missing dir, note about next ones (I'll check and fix it later)

Revision 1.1  2003/05/05 23:30:50  luzik
- initial release, made by
	Fryderyk Dziarmagowski <freetz@gmx.net>
